import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { CrSendWxMsgRecord } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-14 17:08
 */
interface CrSendWxMsgRecordCU extends ConditionUtil<CrSendWxMsgRecordCU> {
    UUID: FieldUtil<CrSendWxMsgRecordCU>;
    USER_ID: FieldUtil<CrSendWxMsgRecordCU>;
    ADINFOID: FieldUtil<CrSendWxMsgRecordCU>;
    ACTIONTYPE: FieldUtil<CrSendWxMsgRecordCU>;
    CCC_ID: FieldUtil<CrSendWxMsgRecordCU>;
    COUPON_INFO: FieldUtil<CrSendWxMsgRecordCU>;
    SEND_TIME: FieldUtil<CrSendWxMsgRecordCU>;
    SEND_STATUS: FieldUtil<CrSendWxMsgRecordCU>;
    RETRY_TIMES: FieldUtil<CrSendWxMsgRecordCU>;
    DEL_FLAG: FieldUtil<CrSendWxMsgRecordCU>;
    CREATE_TIME: FieldUtil<CrSendWxMsgRecordCU>;
    UPDATE_TIME: FieldUtil<CrSendWxMsgRecordCU>;
}
declare class CrSendWxMsgRecordMU extends TableUtilImpl<CrSendWxMsgRecordCU, CrSendWxMsgRecord> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): CrSendWxMsgRecordCU;
    static get UUID(): FieldUtil<CrSendWxMsgRecordCU>;
    static get USER_ID(): FieldUtil<CrSendWxMsgRecordCU>;
    static get ADINFOID(): FieldUtil<CrSendWxMsgRecordCU>;
    static get ACTIONTYPE(): FieldUtil<CrSendWxMsgRecordCU>;
    static get CCC_ID(): FieldUtil<CrSendWxMsgRecordCU>;
    static get COUPON_INFO(): FieldUtil<CrSendWxMsgRecordCU>;
    static get SEND_TIME(): FieldUtil<CrSendWxMsgRecordCU>;
    static get SEND_STATUS(): FieldUtil<CrSendWxMsgRecordCU>;
    static get RETRY_TIMES(): FieldUtil<CrSendWxMsgRecordCU>;
    static get DEL_FLAG(): FieldUtil<CrSendWxMsgRecordCU>;
    static get CREATE_TIME(): FieldUtil<CrSendWxMsgRecordCU>;
    static get UPDATE_TIME(): FieldUtil<CrSendWxMsgRecordCU>;
    get UUID(): FieldUtil<CrSendWxMsgRecordCU>;
    get USER_ID(): FieldUtil<CrSendWxMsgRecordCU>;
    get ADINFOID(): FieldUtil<CrSendWxMsgRecordCU>;
    get ACTIONTYPE(): FieldUtil<CrSendWxMsgRecordCU>;
    get CCC_ID(): FieldUtil<CrSendWxMsgRecordCU>;
    get COUPON_INFO(): FieldUtil<CrSendWxMsgRecordCU>;
    get SEND_TIME(): FieldUtil<CrSendWxMsgRecordCU>;
    get SEND_STATUS(): FieldUtil<CrSendWxMsgRecordCU>;
    get RETRY_TIMES(): FieldUtil<CrSendWxMsgRecordCU>;
    get DEL_FLAG(): FieldUtil<CrSendWxMsgRecordCU>;
    get CREATE_TIME(): FieldUtil<CrSendWxMsgRecordCU>;
    get UPDATE_TIME(): FieldUtil<CrSendWxMsgRecordCU>;
}
export { CrSendWxMsgRecordMU, CrSendWxMsgRecordCU };
